Subject: RE: stty and echo woes
From: Mark Wood-Patrick <[email-masked]>
To: [email-masked]
Cc: "Mark Wood-Patrick ([email-masked])" <[email-masked]>
Date: Fri, 28 Dec 2001 13:00:27 -0800

Norman writes:

>> Yikes, that is quite the $PATH
>> You might want to think about simplifing it a bit when working
>> in a Cygwin shell

>> what is the result of issuing
>> % which echo 

>> Cheers

>> Norman

I have rationalized my path some and 'which echo' returns "echo is a shell
builtin" since I am running with bash.

Problems still remain

Mark

-----Original Message-----
From: Mark Wood-Patrick 
Sent: Friday, December 28, 2001 10:25 AM
To: [email-masked]'
Cc: Mark Wood-Patrick ([email-masked])
Subject: stty and echo woes

I removed the extraneous version of the cygwin1.dll from my path and
rebooted my Pc. The problem still remains. An updated cygcheck output is
enclosed.

On Wed, Dec 26, 2001 at 11:48:37AM -0800, Mark Wood-Patrick wrote:
>I have $CYGWIN=tty
>
>I have cygwin version package 1.3.6-6
>
>Cygcheck info enclosed.

Take a close look at your cygcheck output.  You have two different versions
of the DLL in your path.  Remove the older one.

cgf

-----Original Message-----
From: egor duda [mailto:[email-masked]] 
Sent: Wednesday, December 26, 2001 7:48 AM
To: Mark Wood-Patrick
Cc: [email-masked]; Mark Wood-Patrick ([email-masked])
Subject: Re: stty and echo woes

Hi!

Wednesday, 26 December, 2001 Mark Wood-Patrick [email-masked]
wrote:

MWP> I am having problems with echo being disabled after running certain
MWP> commands (e.g. man, less, tset). I am runing Cygwin DLL 1.1.8 on 
MWP> windows 2k. My TERM variable ois set to cygwin.

how about CYGWIN environment variable? Does it set to 'tty'?

MWP> Does anyone have any idea what's going on here or how I fix it

first, you may consider trying to upgrade to the latest version of
cygwin1.dll. I don't remember any tty issues being fixed lately, but 1.1.8
is a waaay back. second, please include cygcheck output to your report so
that people can see what your environment is.

Egor.            mailto:[email-masked] ICQ 5165414 FidoNet 2:5020/496.19

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/